{% set CodiceModulo = "PERMESSO_104" %}
{% set Urn = "document:c_a794:permesso.104;domanda" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}

{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Lavoro"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di permesso Legge 104"
destinatario_amministrazione=""
destinatario_ufficio="UOLAVORO"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="1.0|14/01/2019"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_allegato="DAE-CDI"
urn_allegato="document:s_italia:generale;documento.identita;documentazione"
descrizione_estesa="Documento di identità"
filename="Documento identita"
firmato="NO"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

<meta codice_allegato="VER_104"
urn_allegato="document:c_a794:copia.verbale.104"
descrizione_estesa="Copia del verbale attestante il diritto di usufruire dei permessi previsti dalla L. 104"
filename="Copia verbale 104"
firmato="NO"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

{% endblock meta %}

{% block title %}
  Domanda di permesso retribuito (Legge 104)
{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - Domanda di permesso retribuito (Legge 104)-[PERS_' + #labelDirezione.value() + ']'" />
<!-- Inserito nell'oggetto il codice [PERS_+ il richiamo al campo regione letto nella REST più in basso] -->'"/>

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<h1 class="Modulo">
  Domanda di permesso retribuito (Legge 104)
</h1>
<h2 class="Modulo">
  Ai sensi della Legge del 05 febbraio 1992, n. 104 e del Decreto Legislativo del Decreto Legislativo del 30 giugno 2022, n. 105 
</h2>
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica("Titolare", "Il sottoscritto", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}
<table class="Modulo" style="border: 1px solid grey;margin-top: -1px;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="3">
        <p class="Labeltabella"> dipendente del Comune di Bergamo </p>
      </td>
    </tr>
     <tr class="Rigaintestazioneridotta">
       <td style="width: 20%">
          <p>Num.matricola </p>
        </td>
      <td style="width: 50%">
          <p>Direzione</p>
        </td>
      <td style="width: 30%">
          <p>Servizio</p>
        </td>
        </tr>
    <tr>
       <td>
        <input class="inputNormal" id="Parametri_Num_Matricola" name="Parametri_Num_Matricola" style="width:100%;" label="Numero Matricola"/>
      </td>
       <td>
           <div rest-name="/REST/direzioni" rest-type="select" rest-param-out="Parametri_Direzione" rest-on="#ButtonDirezioni:click" rest-allow-edit="true"></div>
           <input id="ButtonDirezioni" name="ButtonDirezioni" style="display:none" type="button" />
           <select style="width:100%;" mandatory_enabled="#Titolare_DatiPersonaObbligatori.checked()" name="Parametri_Direzione" id="Parametri_Direzione" label="Direzione" onchange="#Parametri_Direzione.value()"></select>
           <!--  AGGIUNTA REST PER PESCARE IL VALORE DELLA VISTA REALTIVA AL CAMPO REGIONE impostato sulla singola UO di STU  -->
           <div rest-name="/REST/label_dir/[Parametri_Direzione]" rest-type="text" rest-param-out="labelDirezione=codice_dir" rest-on="#Parametri_Direzione:change" rest-allow-edit="false"></div>
           <input type="hidden" id="labelDirezione" name="labelDirezione" style="width: 100%;" />
       </td>
                 
      <td>
        <input class="inputNormal"id="Paramentri_Servizio" name="Servizio" style="width: 100%;" label="Servizio"/>
      </td>
      </tr>
   </tbody>
</table>

<br>
<h3 class="Modulo">
  CHIEDE
</h3>
<p class="Modulo">
  di poter usufruire dei permessi retribuiti dalla Legge 104/92
</p>
<div id="Tassonomia_permesso" name="Tassonomia_permesso" label="Permesso retribuito" mandatory="true"></div>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    {% set chos = [("per se stesso",1), ("per l'assistito",4)] %}
    {% for c,rpan in chos %}        
      <tr>
        <td rowspan="{{rpan}}" style="vertical-align: top; width: 4%;background-color: white">
          <input id="Tassonomia_permesso{{loop.index}}" name="Tassonomia_permesso" type="radio" value="{{loop.index}}" />
        </td>
        <td colspan="6">
          <p> {{ c }} </p>
        </td>
      </tr>
    {% endfor %}
    {% set assistito = [("Cognome","Cognome",28), ("Nome","Nome",25), ("Data di nascita","DataNascita",10),("Codice Fiscale", "CodFiscale", 23), ("Grado di parentela","Parentela",23), ("Lavoratore","Lavoratore",4)] %}
    <tr class="Rigaintestazioneridotta">
      {% for nam,par,dim in assistito %}
        <td style="width: {{dim}}%">
          <p class="Labelcella"> {{ nam }} </p>
        </td>
      {% endfor %}
    </tr>    
    <tr mandatory_enabled="#Tassonomia_permesso2.checked()" >
      {% for nam,par,dim in assistito %}
        <td>
          {% if loop.last %}
            <input id="AventeTitolo{{i}}_{{par}}" name="AventeTitolo{{i}}_{{par}}" type="checkbox" value="SI" />
          {% else %}
            <input class="inputNormal" id="AventeTitolo{{i}}_{{par}}" name="AventeTitolo{{i}}_{{par}}" style="width: 100%;" label="{{nam}}" />
          {% endif %}
        </td>
      {% endfor %}
    </tr>
  </tbody>
</table>

<br>
{{ utils.Dichiara_445() }}
<br>
<div id="Tassonomia_Ricovero" name="Tassonomia_Ricovero" label="Ricovero" mandatory_enabled="#Tassonomia_permesso2.checked()"></div>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr mandatory_enabled="#Tassonomia_permesso2.checked()" dynamic_check="true">
      <td style="vertical-align: top; width: 4%;"rowspan="3">
        <input id="Dichiara1" name="Dichiara1" type="checkbox" mandatory_enabled="#Tassonomia_permesso2.checked()" dynamic_check="true" value="SI"/>
      </td>
      <td colspan="7">
        <p>che l'assistito è residente in</p>
      </td>
      </tr>
       <tr class="Rigaintestazioneridotta">
          <td style="width:9%;">
            <p class="Labelcella">Provincia</p>
          </td>
          <td style="width:29%;" colspan="2">
            <p class="Labelcella">Comune</p>
          </td>
          <td style="width:33%;" colspan="2">
            <p class="Labelcella">Indirizzo</p>
          </td>
          <td style="width:9%;">
            <p class="Labelcella">Civico</p>
          </td>
          <td style="width:16%;">
            <p class="Labelcella">CAP</p>
          </td>
        </tr>
        <tr mandatory_enabled="#Tassonomia_permesso2.checked()">
          <td>
            {{ utils.provincie( 'AventeTitolo_ProvinciaResidenza', label="Provincia di residenza") }}
          </td>
          <td colspan="2">
            <select class="inputNormal" id="AventeTitolo_ComuneResidenza" name="AventeTitolo_ComuneResidenza" style="width:100%" label="Comune di residenza" dynamic_value="getComuniFromProvincia( #AventeTitolo_ProvinciaResidenza.value(), 'AventeTitolo_ComuneResidenza')"></select>
          </td>
          <td colspan="2">
            <input class="" id="AventeTitolo_ViaResidenza" name="AventeTitolo_ViaResidenza" style="width:100%;" label="Via di residenza" format="regular_expression" expression="^(.+)\s(.+)$"/>
          </td>
          <td>
            <input class="" id="AventeTitolo_CivicoResidenza" name="AventeTitolo_CivicoResidenza" style="width:100%;" label="Civico di residenza" maxlength="10"/>
          </td>
          <td>
            <input class="" id="AventeTitolo_CAPResidenza" name="AventeTitolo_CAPResidenza" style="width:100%;" format="cap" label="CAP di residenza" />
          </td>
        </tr>
        <tr>
          <td style="vertical-align: top; width: 4%;" >
            <input class="" id="Tassonomia_Ricovero1" name="Tassonomia_Ricovero" type="radio" value="1"/>
          </td>
          <td colspan="7">
            che l'assistito non è ricoverato
          </td>
        </tr>
        <tr>
          <td style="vertical-align: top; width: 4%;" >
            <input class="" id="Tassonomia_Ricovero2" name="Tassonomia_Ricovero" type="radio" value="2"/>
          </td>
          <td colspan="7">
            che l'assistito è ricoverato a tempo pieno in stato vegetativo persistente e/o fase terminale
          </td>
        </tr>
        <tr>
          <td style="vertical-align: top; width: 4%;" >
            <input class="" id="Tassonomia_Ricovero3" name="Tassonomia_Ricovero" type="radio" value="3"/>
          </td>
          <td colspan="7" >
            che l'assistito è ricoverato e necessita di terapie/visite presso struttura esterna
          </td>
        </tr>
       </tbody>
</table>
<globo_salto_pagina></globo_salto_pagina>
<br>
<h3 class="Modulo">
  DICHIARA INOLTRE
</h3>
<br>
<div id="Tassonomia_Assistenza" name="Tassonomia_Assistenza" label="Ricovero" mandatory_enabled="#Tassonomia_permesso2.checked()"></div>
<div id="Tassonomia_AltroAssistente" name="Tassonomia_AltroAssistente" label="Altro assistente" mandatory_enabled="#Tassonomia_permesso2.checked()"></div>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input class="" id="Tassonomia_Assistenza1" name="Tassonomia_Assistenza" type="radio" value="1"/>
    </td>
    <td colspan="6">
      di svolgere con continuità l’assistenza al familiare per le necessità quotidiane
    </td> 
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input class="" id="Tassonomia_Assistenza2" name="Tassonomia_Assistenza" type="radio" value="2"/>
    </td>
    <td colspan="6"> 
      di svolgere l'assistenza al familiare nei giorni in cui si reca presso la sua residenza
    </td> 
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input class="" id="Tassonomia_AltroAssistente1" name="Tassonomia_AltroAssistente" type="radio" value="No familiare"/>   
      </td>
      <td colspan="6">
        che nessun altro familiare beneficia dei permessi in base alla legge 104/1992
      </td>
      </tr>
      <tr>
      <td style="vertical-align: top; width: 4%;background-color: white;" rowspan="7">
        <input class="" id="Tassonomia_AltroAssistente2" name="Tassonomia_AltroAssistente" type="radio" value="sì familiare"/>   
      </td>
      <td colspan="6">
        di fruire dei permessi nel limite mensile di 3 giorni in alternativa a:
      </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
         <td style="width:20%;" colspan="2">
           <p class="Labelcella">
             Cognome
            </p>
        </td>
        <td style="width:20%;">
           <p class="Labelcella">
             Nome
            </p>
        </td>
        <td style="width:20%;" colspan="2">
           <p class="Labelcella">
             Luogo di nascita
            </p>
        </td>
        <td  style="width:20%;" colspan="2">
           <p class="Labelcella">
             Data di nascita
            </p>
        </td>
      </tr>
      <tr mandatory_enabled="#Tassonomia_AltroAssistente2.checked()">
        <td  style="width:20%;" colspan="2">
           <input id="Tassonomia_CognomeAA" name="Tassonomia_CognomeAA" style="width:100%;" label="Cognome altro assistente"/>
        </td>
        <td style="width:20%;">
           <input id="Tassonomia_NomeAA" name="Tassonomia_NomeAA" style="width:100%;" label="Nome altro assistente"/>
        </td>
        <td style="width:20%;" colspan="2">
           <input id="Tassonomia_LuogoNascitaAA" name="Tassonomia_LuogoNascitaAA" style="width:100%;" label="Luogo di nascita altro assistente"/>
        </td>
        <td style="width:20%;" >
           <input id="Tassonomia_DataNascitaAA" name="Tassonomia_DataNascitaAA" style="width:100%;" label="Data di nascita altro assistente" format="date"/>
        </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="6">
        <p class="Labelcella">
          impiegato presso
        </p>
      </td>
     </tr>
     <tr mandatory_enabled="#Tassonomia_AltroAssistente2.checked()">
       <td colspan="6">
         <input id="Tassonomia_ImpiegoAA" name="Tassonomia_ImpiegoAA" style="width:100%;" label="Denominazione azienza altro assistente"/>
        </td>
     </tr>
     <tr class="Rigaintestazioneridotta">
          <td style="width:9%;">
            <p class="Labelcella">Provincia</p>
          </td>
          <td style="width:29%;">
            <p class="Labelcella">Comune</p>
          </td>
          <td colspan="2" style="width:33%;">
            <p class="Labelcella">Indirizzo</p>
          </td>
          <td style="width:9%;">
            <p class="Labelcella">Civico</p>
          </td>
          <td style="width:16%;">
            <p class="Labelcella">CAP</p>
          </td>
        </tr>
     <tr mandatory_enabled="#Tassonomia_AltroAssistente2.checked()">
    <td style="width:9%;">
            {{ utils.provincie( 'AventeTitolo2_ProvinciaResidenza', label="Provincia impiego") }}
          </td>
          <td style="width:29%;">
            <select class="inputNormal" id="AventeTitolo2_ComuneResidenza" name="AventeTitolo2_ComuneResidenza" style="width:100%;" label="Comune di impiego" dynamic_value="getComuniFromProvincia( #AventeTitolo2_ProvinciaResidenza.value(), 'AventeTitolo2_ComuneResidenza')"></select>
          </td>
          <td colspan="2" style="width:33%;">
            <input class="inputNormal" id="AventeTitolo_ViaResidenza2" name="AventeTitolo_ViaResidenza2" style="width:100%;" label="Indirizzo impiego" format="regular_expression" expression="^(.+)\s(.+)$"/>
          </td>
          <td style="width:9%;">
            <input class="" id="AventeTitolo2_CivicoResidenza" name="AventeTitolo2_CivicoResidenza" style="width:100%;" label="Civico impiego" maxlength="10"/>
          </td>
          <td style="width:16%;">
            <input class="" id="AventeTitolo2_CAPResidenza" name="AventeTitolo2_CAPResidenza" style="width:100%;" format="cap" label="CAP di impiego" />
          </td>
        </tr>

      
     <tr>
      <td>
        <input class="" id="Tassonomia_Comunicazione" name="Tassonomia_Comunicazione" type="checkbox" checked="checked"value="si" dynamic_check="true"/>   
      </td>
      <td colspan="6">
        di essere a conoscenza che ogni comunicazione relativa alle assenze dovrà essere inoltrata, di volta in volta, al proprio responsabile del servizio, senza la produzione 
          di ulteriore documentazione e che eventuali variazioni alla situazione odierna dovranno essere prontamente comunicate all'ufficio del personale.
      </td>
      </tr>   
     </tbody>
</table>

<br>

<table class="Modulo" name="Allegati" style="border: 1px solid grey">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p style="text-align: center;">
          <b>
            Elenco degli allegati
          </b>
          <br/>
          <span style="font-size:70%">
            <i>(barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)</i>
          </span>
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="DAE-CDI" name="DAE-CDI" type="checkbox" value="OBBLIGATORIO" />
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          copia del documento d'identità
          <br/>
          <span style="font-size:70%">
            <i>(da allegare se il modulo è sottoscritto con firma autografa)</i>
          </span>
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="VER_104" name="VER_104" type="checkbox" checked="checked" dynamic_check="true" value="OBBLIGATORIO" />
      </td>
      <td style="background-color: #eeeeee;">
        
         Copia del verbale ATS
          
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          altri allegati
          <span style="font-size:70%">(specificare)</span>
          <input class="" label="Altri allegati" id="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
        </p>
      </td>
    </tr>
  </tbody>
</table>
<br>
{{ utils.trattamento_dati_personali() }}
<br/>
  {{ utils.firma_hidden() }}
<br/>

<p class="Modulo">
  <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cDAE-CDI" name="GLOBO_allegato_cDAE-CDI" obbligatorio="#DAE_CDI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input id="GLOBO_allegato_cVER_104" name="GLOBO_allegato_cVER_104" obbligatorio="#VER_104.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
